LFR-FSW - Bug #1029

La tache AVGV semble s'arréter lorsque I'on repasse en STDBY sur I'EM2 uniquement
27/03/2017 04:15 PM - bruno katra

Status: Stalled Start date: 27/03/2017
Priority: Low Due date:

Assignee: Alexis Jeandet % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

La courbe ci-dessous montre les moyennes dans les HK avec un signal de 0.1Hz sur V et 5Hz sur E1 -3/3V en STANDBY puis
passage en NORMAL pendant 10s et repassage en STANDBY (on voit d'ailleurs le bug #955 de Véro).

FLOWCHARTO1.png

Ceci est confirmé en regardant les valeurs dans les HK :
[LFR@pc-solar1 3.2.0.9]$ more hk
\Y E1 E2

431 434 379 > STDBY
432 433 380>.....

430 433 380

430 433 380

432 434 379

431 434 379

430 435 380

431 434 380

431 434 380

430 434 380

432 433 379

431 436 380

431 434 380

8279 1271 381 > NORMAL
22638 418 377

27125 409 376

21361 411 377

7575 411 377

-8947 410 378

-21935 410 378

-26425 410 378

-20669 410 377

-6895 410 377

9642 410 378

22631 410 377> STDBY
540 415 338

433 435 377

430 434 379

432 434 379

430 435 379

SSS-CP-EQS-526 ne stipule pas que la moyenne n'est faite qu'en mode SCIENCE. Nous avions compris que le moyennage est tout
le temps actif (y compris en BURST et STANDBY ou il n'y a pas de produits F3)

History

#1 - 28/03/2017 07:41 AM - paul leroy
- File Screenshot from 2017-03-28 07-37-43.png added

- Assignee changed from paul leroy to bruno katra

J'ai fait un test de mon c6té. Au démarrage du systeme, j'ai des HK corrects, avec des valeurs attendues sur V (test en injectant une onde a 50mHz
ou 100mHz, amplitude 1V, observation des HK avec kst en temps réel avec enregistrement au moyen de Ifrsgse/REC).
https://hephaistos.lpp.polytechnique.fr/redmine/issues/955

Quand je change de mode, selon les transistions, il peut y avoir un accroc dans les données HK (c'est assez visible quand j'injecte un carré, cf le
screenshot), d0 au reset LFR, mais le filtrage ne s'arréte pas.

#2 - 28/03/2017 10:21 AM - bruno katra

- Assignee changed from bruno katra to paul leroy

En fait le bug n'apparait pas quand LFR vient de booter et est en STBY. Il suffit de faire un passage en NORMAL puis de repasser en STDBY et les
valeurs dans les HK ne font plus apparaitre le moyennage.

#3 - 28/03/2017 02:21 PM - paul leroy
- File Screenshot from 2017-03-28 14-17-23.png added

- Assignee changed from paul leroy to bruno katra

J'avais essayé plusieurs type de transistions et je n'avais rien observé de tel. Je viens de le refaire et je ne vois pas I'effet que vous décrivez.
Configuration testée:

3.2.0.10, injection @ 50mHz d'un signal carré, 1V, sur mini-Ifr, voie V.

Enregistrement avec Ifrsgse et observation directe de I'enregistrement avec KST.

Commutation STDBY, NORM, STDBY, puis plusieurs commutation vers SBM1, BURST et retour vers STDBY. On peut voir la réponse impulsionnelle
du filtre.

#4 - 28/03/2017 03:20 PM - bruno katra
- File 3.2.0.10-hk3.png added

- Status changed from New to In Progress

J'ai refait le test en 3.2.0.10 avec le méme setup que Paul :
- Mini-Lfr + AD avec sinus 50 mHz +/- 1V

- SGSE directement relié a KST

> Je n'observe pas le bug en effet !l

MAIS je refais le méme test avec I'EM et |a je vois le bug :

3.2.0.10-hk3.png
> les plats a 0 sont quand je suis repassé en STBY. Aussi on remarque que le pic négatif a un artefact systématique.

#5 - 28/03/2017 03:49 PM - bruno katra
- File 3.2.0.11-hk.png added

Test rejoué en 3.2.0.11 sur I'EM:
- l'artefact a disparu, le signal a 50 mHz est propre
MAIS le passage en STBY provoque l'arrét du filtrage :

3.2.0.11-hk.png

#6 - 28/03/2017 04:16 PM - bruno katra

- Assignee changed from bruno katra to Alexis Jeandet

Essai avec un fsw 3.2.0.12 sans -mfix-b2bst : Le probléme est toujours présent

#7 - 28/03/2017 04:19 PM - bruno katra
- File fsw added

#8 - 28/03/2017 04:29 PM - bruno katra

Tentative de test avec EQM mais cela n'a pas marché (pas de boot : pb de RAM) : Alexis resoudera la RAM jeudi pour faire un test.

#9 - 30/03/2017 03:14 PM - bruno katra
- File LFR_reset_impact_on_HK_mean.png added

Test rejoué sur EQM avec fsw-3-2-0-12-363-071a09d6f71c : LE BUG N'APPARAIT PAS !

Le probléme semble bien provenir de I'EM
Sur le graphe ci-dessous on voit le résultat de dizaines de changements de tous les modes dans tous les sens, avec injection de 100mHz, 50mHz et

10mHz avec +/-1V et +/-3V.

Non seulement le passage en STBY n'arréte pas le moyennage mais on remarque aussi que l'impact du reset de LFR sur la réponse impusionelle
des filtres est beauoucp moins flagrantes qu'avec la moyenne glissante (on peu voir les artefacts produits entourés en rouge sur le graphe) (lié a

#955)

LFR_reset_impact_on_HK_mean.png

#10 - 30/03/2017 03:24 PM - bruno katra

- Subject changed from La tdche AVGV ne semble pas fonctionner en STANDBY. to La tdche AVGV semble s'arréter lorsque I'on repasse en STDBY

sur 'EM2 uniquement

Je ne cloture pas car il faut faire des tests sur I'EM mais je change la priorité et le titre de l'issue

#11 - 30/03/2017 03:24 PM - bruno katra

- Priority changed from Immediate to Low

#12 - 31/03/2017 11:27 AM - bruno katra

Tests RAM effectué sur EM : 8M détecté
Test 4M : PASS

Test 5M : FAILED

Test 6M : FAILED

Test 7M : FAILED

Test 8M : FAILED

#13 - 22/03/2021 12:07 PM - Alexis Jeandet

- Status changed from In Progress to Stalled
